Data model
Properties
Properties in Prism — Micro Go reference.
Reference for Go SDK 0.8.0.
Release source · Setup and client configuration
List
GET /v2/prism/{teamId}/{objectType}/properties
client.Prism.Properties.List(ctx context.Context, objectType micro.PrismPropertyListParamsObjectType, params micro.PrismPropertyListParams) (*micro.PrismPropertyListResponse, error)Get metadata properties by object type
ListAll
GET /v2/prism/{teamId}/properties
client.Prism.Properties.ListAll(ctx context.Context, params micro.PrismPropertyListAllParams) (*micro.PrismPropertyListAllResponse, error)Get metadata properties
Parameter and response types
These declarations show the request parameters and response shapes used by the methods above.
PrismPropertyListResponse
type PrismPropertyListResponse map[string]interface{}PrismPropertyListAllResponse
type PrismPropertyListAllResponse map[string]interface{}PrismPropertyListParamsObjectType
type PrismPropertyListParamsObjectType stringPrismPropertyListParams
type PrismPropertyListParams struct {
// Use [option.WithTeamID] on the client to set a global default for this field.
TeamID param.Field[string] `path:"teamId" api:"required" format:"uuid"`
Autofill param.Field[bool] `query:"autofill"`
// Scope properties to a specific list/app.
ListID param.Field[string] `query:"list_id" format:"uuid"`
Term param.Field[string] `query:"term"`
}PrismPropertyListAllParams
type PrismPropertyListAllParams struct {
// Use [option.WithTeamID] on the client to set a global default for this field.
TeamID param.Field[string] `path:"teamId" api:"required" format:"uuid"`
Autofill param.Field[bool] `query:"autofill"`
// Scope properties to a specific list/app.
ListID param.Field[string] `query:"list_id" format:"uuid"`
Term param.Field[string] `query:"term"`
}